<?xml version="1.0"?>
<page xmlns:xsi="http://www.w3.org/2001/XMLSchema-instance" layout="1column" xsi:noNamespaceSchemaLocation="urn:magento:framework:View/Layout/etc/page_configuration.xsd">
    <head>
        <css src="Bloyal_Calculatecart::css/calculatecart.css" media="all"/>
    </head>
    <body>
          <referenceBlock name="checkout.cart.totals">
            <arguments>
                <argument name="jsLayout" xsi:type="array">
                    <item name="components" xsi:type="array">
                        <item name="block-totals" xsi:type="array">
                            <item name="children" xsi:type="array">
                                <item name="bloyaldiscount" xsi:type="array">
                                    <item name="component" xsi:type="string">
                                        Bloyal_Calculatecart/js/view/checkout/cart/totals/bloyal-discount
                                    </item>
                                    <item name="sortOrder" xsi:type="string">20</item>
                                </item>
								<item name="giftcardcomponent" xsi:type="array">
									<item name="component" xsi:type="string">
										Bloyal_Calculatecart/js/view/checkout/totals/giftcardlabel
									</item>
									<item name="sortOrder" xsi:type="string">20</item>
								</item>
								<item name="loyaltydollercomponent" xsi:type="array">
                                    <item name="component" xsi:type="string">
                                        Bloyal_Calculatecart/js/view/checkout/totals/loyaltylabel
                                    </item>
                                    <item name="sortOrder" xsi:type="string">20</item>
                                </item>
                            </item>
							
                        </item>
                    </item>
                </argument>
            </arguments>
          </referenceBlock>
        <referenceContainer name="cart.summary">
            <block name="cart.summary.bloyal.block" class="Bloyal\Calculatecart\Block\ViewLoyaltyDiscountBlock" after="checkout.cart.methods.bottom" template="Bloyal_Calculatecart::ViewDiscountSummary.phtml"/>
        </referenceContainer>
    </body>
</page>